package cz.moneta.test.regression.channels.digital.ml.hypos;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.hypos.tasks.HyposStructureTasks;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Structure tests")
public class StructureTest {

    @TestCase(name = "Check Hypos structures - reports and statistics")
    @JiraTestCase(id = "ML-T510")
    public void tcStructuresCheck(Harness harness) {
        HyposStructureTasks tasks = harness.tasks().hypos().hyposStructureTasks();
        harness.withHypos()
                .openLoginPage()
                .switchToStructurePage()
                .then(tasks.checkStructureDrawPostponed())
                .then(tasks.checkStructureDraw())
                .then(tasks.checkStructureUw2())
                .then(tasks.checkStructureDocsVerification())
                .then(tasks.checkStructureAppraisementFee())
                .then(tasks.checkStructureLetter())
                .then(tasks.checkStructurePpd())
                .then(tasks.checkStructureUw1())
                .then(tasks.checkStructureOpus())
                .then(tasks.checkStructurePktu())
                .then(tasks.checkStructureClientChange())
                .then(tasks.checkStructureFinancialException());
    }
}